Turn on Slight RGB font hinting by default
Closed, ResolvedPublic

Description

This is a minor thing, but Kubuntu doesn't use the best font anti-aliasing out of the box and always seems to require some tweaking. This periodically comes up online, e.g. https://www.reddit.com/r/kde/comments/7ae1cf/kde_papercuts/dp9fzte/?utm_content=permalink&utm_medium=front&utm_source=reddit&utm_name=kde

In System Settings > Fonts, Kubuntu's standard setting for "Use anti-aliasing" is "System Settings".

I recommend changing this to "Enabled", and in the "Configure..." dialog, set "Sub-pixel rendering type" to "RGB" and "Hinting style" to "Slight"

Across many machines I've done this for--laptops and desktops alike--these always seem to be the best settings.

ngraham created this task.Dec 16 2017, 5:13 PM
ngraham added a subscriber: clivej.Jan 12 2018, 4:37 PM

This got KDE Neon some bad press in http://www.ocsmag.com/2018/01/27/plasma-5-12-long-term-sweetness/

System defaults are not good enough, and you actually need to manually set the RGB profile and hinting to slight, which leads to an immediate improvement in results all over the place.

The next time he reviews Kubuntu, you'd better believe he's going to bring it up again...

I've proposed change the global default (https://bugs.kde.org/show_bug.cgi?id=389598), but until and unless that happens, it's up to distros to tweak this setting so that fonts don't look bad on most modern displays.

I have not had a problem with the current defaults, and trying to change it on my systems to RGB slight gave some really horrible artifacts ins applications like aggregator where some content is now rendered with web engine. This was even worse when I tried with newer freetype.

Will keep reviewing, but it is a case of not being able to please everyone.

What kind of display are you using? Every laptop and desktop LCD I've ever used with a Kubuntu system (and I install a lot of these) had fonts that looked lousy and blurry with the default settings, and marvelous with Slight RGB font hinting.

The issue with Akregator sounds like a bug in the app. What's the Bugzilla ticket tracking that?

I am not an expert here, but for me slight hinting makes things worse too.
I achieved the best results with RGB sub-pixel-rendering and hinting disabled (Acer Aspire VN7-792G-70MJ, Arch Linux, fontconfig-infinality).

There are ways to test the pixel layout of a monitor ( http://www.lagom.nl/lcd-test/subpixel.php ). Maybe Kubuntu and Neon could include such tests in their installers?

I am however not strictly against changing the defaults, if this leads to a better experience on most systems. I needed to change the current defaults anyway.

clivej removed a subscriber: clivej.Jan 30 2018, 12:27 AM

I am no longer a Kubuntu Devel, have any say in it's development or wish to make comment on decisions regarding the project. Therefore please don't sub me to topics/discussions regarding it.

Thanks

ngraham assigned this task to valorie.Feb 1 2018, 8:34 PM

I have those setting already, and I think I set them after reading someone crab about the defaults. I don't know that these are the best settings for the most people, so I guess am a very lazy +1 on this.

snele added a subscriber: snele.Feb 16 2018, 8:47 PM

Hi everybody. I am kubuntu/kde user since 2009 and the first thing I always change when having fresh install of kde/kubuntu is to change to slight RGB font hinting and it always looked way better then system default. And I have never encountered problems with it.

zanny added a subscriber: zanny.Feb 16 2018, 11:56 PM
This comment was removed by zanny.
This comment was removed by ngraham.

+1 from me on this one too. Looks good on a modern laptop.

+1 (please shout if it's annoying rather than useful :D )
both laptop and external display look better for me. This is also gnome's default setup, so unlikely to trigger incompatibilities?

rikmills closed this task as Resolved.Mar 20 2018, 11:26 PM

Done in https://launchpad.net/ubuntu/+source/kubuntu-settings/1:18.04ubuntu6

(although somehow escaped the changelog)

rikmills reopened this task as Open.Mar 21 2018, 12:21 PM

Escaped, and now doesn't seem to be working. May need to force this harder at a system config level.

e.g. symlink the rgb snippet in conf.avail

rikmills closed this task as Resolved.Thu, Mar 29, 4:08 PM